---
lang: en
title: 'API docs: repository.filterbuilder.where'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.filterbuilder.where.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [FilterBuilder](./repository.filterbuilder.md) &gt; [where](./repository.filterbuilder.where.md)

## FilterBuilder.where() method

Declare a where clause

<b>Signature:</b>

```typescript
where(w: Where<MT>): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  w | <code>Where&lt;MT&gt;</code> | Where object |

<b>Returns:</b>

`this`


